Summary:	Utility and library for manipulating constant databases
Name:		tinycdb
Version:	0.80
Release:	1%{?dist}
License:	Public Domain
URL:		http://www.corpit.ru/mjt/tinycdb.html
Source0:	http://www.corpit.ru/mjt/%{name}/%{name}-%{version}.tar.gz
Source1:	libcdb.pc

BuildRequires: make gcc

%description
This package provides tinycdb utility and shared library.

%package devel
Summary:	Development files for tinycdb
Requires:	%{name} = %{version}-%{release}

%description devel
This package provides tinycdb development libraries and headers for developing applications 
that use %{name}.

%prep
%autosetup
cp %{SOURCE1} .
sed -i -e 's\/lib\/%{_lib}\g' libcdb.pc

%build
%make_build staticlib sharedlib cdb-shared CFLAGS="%{optflags}" 

%install
mkdir -p %{buildroot}%{_libdir}
make DESTDIR=%{buildroot} prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir} \
	install install-sharedlib INSTALLPROG=cdb-shared CP="cp -p"
chmod +x %{buildroot}%{_libdir}/*.so.*
rm -f %{buildroot}%{_libdir}/lib*.a
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -p libcdb.pc %{buildroot}%{_libdir}/pkgconfig/libcdb.pc

%files
%doc NEWS ChangeLog
%{_bindir}/cdb
%{_libdir}/*.so.*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.80-1
- Upgrade to version 0.80

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.78-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.78-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.78-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Wang Guodong <gordonwwang@tencent.com> - 0.78-1
- package init.
